Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ItemFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ItemFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ItemFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the properties of an item. Note that checkable items need to be given both a suitable set of flags and an initial state, indicating whether the item is checked or not. This is handled automatically for model/view components, but needs to be explicitly set for instances of `QListWidgetItem`, `QTableWidgetItem`, and `QTreeWidgetItem`.

See also:
  `QAbstractItemModel`.

See Also:
  Serialized Form

Field Summary
`static Qt.ItemFlag` | `ItemIsDragEnabled` It can be dragged.
`static Qt.ItemFlag` | `ItemIsDropEnabled` It can be used as a drop target.
`static Qt.ItemFlag` | `ItemIsEditable` It can be edited.
`static Qt.ItemFlag` | `ItemIsEnabled` The user can interact with the item.
`static Qt.ItemFlag` | `ItemIsSelectable` It can be selected.
`static Qt.ItemFlag` | `ItemIsTristate` The item is checkable with three separate states.
`static Qt.ItemFlag` | `ItemIsUserCheckable` It can be checked or unchecked by the user.
`static Qt.ItemFlag` | `NoItemFlags` It does not have any properties set.

Method Summary
`static Qt.ItemFlags` | `createQFlags(Qt.ItemFlag[] values)` This function creates a com.trolltech.qt.core.Qt$ItemFlags with the specified `com.trolltech.qt.core.Qt$ItemFlag[]` ItemFlag values set.
`static Qt.ItemFlag` | `resolve(int value)` Returns the ItemFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ItemFlag` | `valueOf(java.lang.String name)`
`static Qt.ItemFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoItemFlags

    public static final Qt.ItemFlag NoItemFlags

  It does not have any properties set.

### ItemIsSelectable

    public static final Qt.ItemFlag ItemIsSelectable

  It can be selected.

### ItemIsEditable

    public static final Qt.ItemFlag ItemIsEditable

  It can be edited.

### ItemIsDragEnabled

    public static final Qt.ItemFlag ItemIsDragEnabled

  It can be dragged.

### ItemIsDropEnabled

    public static final Qt.ItemFlag ItemIsDropEnabled

  It can be used as a drop target.

### ItemIsUserCheckable

    public static final Qt.ItemFlag ItemIsUserCheckable

  It can be checked or unchecked by the user.

### ItemIsEnabled

    public static final Qt.ItemFlag ItemIsEnabled

  The user can interact with the item.

### ItemIsTristate

    public static final Qt.ItemFlag ItemIsTristate

  The item is checkable with three separate states.

Method Detail

### values

    public static Qt.ItemFlag[] values()

### valueOf

    public static Qt.ItemFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.ItemFlags createQFlags(Qt.ItemFlag[] values)

  This function creates a com.trolltech.qt.core.Qt$ItemFlags with the specified `com.trolltech.qt.core.Qt$ItemFlag[]` ItemFlag values set.

### resolve

    public static Qt.ItemFlag resolve(int value)

  Returns the ItemFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD